using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace watcher_monitoring.Migrations
{
    /// <inheritdoc />
    public partial class AddOidcSubjectToUser : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<string>(
                name: "OidcSubject",
                table: "Users",
                type: "TEXT",
                maxLength: 255,
                nullable: true);

            migrationBuilder.CreateIndex(
                name: "IX_Users_OidcSubject",
                table: "Users",
                column: "OidcSubject",
                unique: true,
                filter: "OidcSubject IS NOT NULL");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropIndex(
                name: "IX_Users_OidcSubject",
                table: "Users");

            migrationBuilder.DropColumn(
                name: "OidcSubject",
                table: "Users");
        }
    }
}
